<template>
  <v-app>
    <v-app-bar
      app
      color="primary"
      dark
    >
      <div class="d-flex align-center">
        <v-img
          alt="Vuetify Logo"
          class="shrink mr-2"
          contain
          src="https://cdn.vuetifyjs.com/images/logos/vuetify-logo-dark.png"
          transition="scale-transition"
          width="40"
        />

        <v-img
          alt="Vuetify Name"
          class="shrink mt-1 hidden-sm-and-down"
          contain
          min-width="100"
          src="https://cdn.vuetifyjs.com/images/logos/vuetify-name-dark.png"
          width="100"
        />
      </div>
      <v-spacer></v-spacer>
    </v-app-bar>
    <v-main>
      <v-row>
        <v-col cols="1">
          <NavigationBar/>
        </v-col>
        <v-col cols="11">
          <router-view/>
        </v-col>
      </v-row>
    </v-main>
  </v-app>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';
import NavigationBar from "@/components/NavigationBar.vue";

export default defineComponent({
  name: 'App',
  props: {

  },
  setup() {
    return {
    };
  },
  components: {
    NavigationBar
  },
});
</script>